Loading...
Searching...
No Matches
OgreRenderSystem.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreBlendMode.h"`
`#include "OgreRenderSystemCapabilities.h"`
`#include "OgreConfigOptionMap.h"`
`#include "OgreGpuProgram.h"`
`#include "OgrePlane.h"`
`#include "OgreHardwareVertexBuffer.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

struct | Ogre::GlobalInstancingData
class | Ogre::RenderSystem
| Defines the functionality of a 3D API. More...
class | Ogre::RenderSystem::Listener
| Defines a listener on the custom events that this render system can raise. More...
struct | Ogre::StencilState
| Describes the stencil buffer operation. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef std::map< uint32, DepthBufferVec > | Ogre::DepthBufferMap
typedef std::vector< DepthBuffer * > | Ogre::DepthBufferVec
typedef std::map< String, RenderTarget * > | Ogre::RenderTargetMap
typedef std::multimap< uchar, RenderTarget * > | Ogre::RenderTargetPriorityMap

## Enumerations

enum | Ogre::StencilOperation { Ogre::SOP_KEEP , Ogre::SOP_ZERO , Ogre::SOP_REPLACE , Ogre::SOP_INCREMENT , Ogre::SOP_DECREMENT , Ogre::SOP_INCREMENT_WRAP , Ogre::SOP_DECREMENT_WRAP , Ogre::SOP_INVERT }
| Enum describing the various actions which can be taken on the stencil buffer. More...
enum | Ogre::TexCoordCalcMethod : uint8 { Ogre::TEXCALC_NONE , Ogre::TEXCALC_ENVIRONMENT_MAP , Ogre::TEXCALC_ENVIRONMENT_MAP_PLANAR , Ogre::TEXCALC_ENVIRONMENT_MAP_REFLECTION , Ogre::TEXCALC_ENVIRONMENT_MAP_NORMAL , Ogre::TEXCALC_PROJECTIVE_TEXTURE }
| Enum describing the ways to generate texture coordinates. More...